summaryrefslogtreecommitdiffstats
path: root/source/x/libinput/libinput.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/libinput/libinput.SlackBuild')
-rwxr-xr-xsource/x/libinput/libinput.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/x/libinput/libinput.SlackBuild b/source/x/libinput/libinput.SlackBuild
index 54b37bada..df669fbc8 100755
--- a/source/x/libinput/libinput.SlackBuild
+++ b/source/x/libinput/libinput.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for libinput
# Copyright 2015 Robby Workman, Tuscaloosa, Alabama, USA
-# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libinput
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -70,7 +70,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \